Package org.jcsp.lang

# Class Stop

java.lang.Object
org.jcsp.lang.Guard
org.jcsp.lang.Stop

All Implemented Interfaces:
  `CSProcess`

public class Stop extends Guard implements CSProcess
This is a process that starts, engages in no events, performs no computation but refuses to terminate.

## Description

`Stop` is a process that starts, engages in no events, performs no computation but refuses to terminate.

It can also be used as a `Guard` in an `Alternative` that is never ready. Of course, this is equivalent to it (and its defended process) not being there at all!

Note: this process is included for completeness – it is one of the fundamental primitives of CSP, where it represents a broken process and is a unit of external choice. In JCSP, it is a unit of `Alternative`.

Author:
  P.D. Austin and P.H. Welch
See Also:
  - `Skip`

## Constructor Summary

Constructors
Constructor
Description
`Stop()`

## Method Summary

Modifier and Type
Method
Description
`void`
`run()`
This process starts, engages in no events, performs no computation and refuses to terminate.

### Methods inherited from class org.jcsp.lang.Guard

`schedule`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Stop

public Stop()

## Method Details

### run

public void run()
This process starts, engages in no events, performs no computation and refuses to terminate.

Specified by:
  `run` in interface `CSProcess`